.
authorJim Meyering <jim@meyering.net>
Sun, 18 Aug 1996 14:31:42 +0000 (14:31 +0000)
committerJim Meyering <jim@meyering.net>
Sun, 18 Aug 1996 14:31:42 +0000 (14:31 +0000)
tests/sort/build-script [deleted file]

diff --git a/tests/sort/build-script b/tests/sort/build-script
deleted file mode 100755 (executable)
index 5c2b2d4..0000000
+++ /dev/null
@@ -1,65 +0,0 @@
-#!/p/bin/perl -w
-
-$xx = './sort';
-$test = 0;
-$| = 1;
-
-print "#! /bin/sh\nxx='$xx'\necho testing with $xx=\$xx\nerrors=0\n";
-print "$xx --version 2> /dev/null\n";
-$expected = '';
-$input = '';
-$options = '';
-
-while (<>)
-  {
-    next if (/^\s*#/);
-
-    $test++;
-    chop;
-    $prog = '($test_name, $options,$input,$expected,$e_ret_code) = ' . $_ . ';';
-    eval $prog;
-    if (defined ($seen{$test_name}))
-      {
-       die "$0: $.: duplicate test name \`$test_name'\n";
-      }
-    $seen{$test_name} = 1;
-    $in = "t$test_name.in";
-    $exp_name = 't' . $test_name . '.exp';
-    $out = "t$test_name.out";
-
-    open(IN, ">$in") || die "Couldn't open $in for writing.\n";
-    print IN $input;
-    close(IN);
-    open(EXP, ">$exp_name")
-       || die "Couldn't open $exp_name for writing.\n";
-    print EXP $expected;
-    close(EXP);
-    $err_output = "t$test_name.err";
-    $cmd = "\$xx $options $in > $out 2> $err_output";
-    print <<EOF ;
-$cmd
-code=\$?
-if test \$code != $e_ret_code ; then
-  echo Test $test_name failed: $xx return code \$code differs from expected value $e_ret_code 1>&2
-  errors=`expr \$errors + 1`
-else
-  cmp $out $exp_name
-  case \$? in
-    0) if test "\$verbose" ; then echo passed $test_name; fi ;; # equal files
-    1) echo Test $test_name failed: files $out and $exp_name differ 1>&2;
-       errors=`expr \$errors + 1` ;;
-    2) echo Test $test_name may have failed. 1>&2;
-       echo The command \"cmp $out $exp_name\" failed. 1>&2 ;
-       errors=`expr \$errors + 1` ;;
-  esac
-fi
-test -s $err_output || rm -f $err_output
-EOF
-  }
-print <<EOF2 ;
-if test \$errors = 0 ; then
-  echo Passed all tests. 1>&2
-else
-  echo Failed \$errors tests. 1>&2
-fi
-EOF2